from urllib.parse import unquote, urlsplit

from imdb import Cinemagoer


def search_string_from_url(url: str) -> str:
    print(url)
    _, _, imdb_id = urlsplit(unquote(url)).path.strip("/").rpartition("/")

    cg = Cinemagoer()
    movie = cg.get_movie(imdb_id[2:])
    return f"{movie['title']} {movie['year']}"
